## gnome-shell-extension-weather 0~20130328.git1452a2d

=== debian/changelog ===
gnome-shell-extension-weather (0~20130328.git1452a2d-1) unstable; urgency=low

  * New upstream release. Supports GNOME Shell 3.8. (Closes: #704147)
  * debian/control: gnome-shell 3.8 now satisfies the dependency.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 Mar 2013 21:11:34 +0100

gnome-shell-extension-weather (0~20130224.gitfc0ac23-1) unstable; urgency=low

  * Initial release. (Closes: #648653)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 05 Mar 2013 22:06:48 +0100
