## gnome-shell-extension-weather 0~20130619.gitf74de79

=== debian/changelog ===
gnome-shell-extension-weather (0~20130619.gitf74de79-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * Depend on needed gir packages

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 15 Aug 2013 13:41:21 +0200

gnome-shell-extension-weather (0~20130619.gitf74de79-1) unstable; urgency=low

  * New upstream snapshot.
    + Uses SSL for connecting to Yahoo. (Closes: #706622)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Jun 2013 14:21:58 +0200
