=== debian/control ===
Source: gnome-shell-extension-weather
Section: gnome
Priority: extra
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
 gnome-common, libglib2.0-dev
Standards-Version: 3.9.4
Homepage: https://github.com/Neroth/gnome-shell-extension-weather
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extension-weather
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extension-weather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         gnome-shell (>= 3.4),
         gnome-shell (<< 3.9),
         gir1.2-clutter-1.0,
         gir1.2-gtk-3.0,
         gir1.2-gweather-3.0,
         gir1.2-soup-2.4
Recommends: gnome-tweak-tool
Description: weather extension for GNOME Shell
 gnome-shell-extension-weather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, an easy way of selecting locations, and a settings panel through
 gnome-shell-extension-prefs.
 .
 The weather report, including forecasts for today and tomorrow, is fetched
 from Yahoo! Weather.
