## gnome-shell-extension-weather 0~20131020.git30174f2

=== debian/changelog ===
gnome-shell-extension-weather (0~20131020.git30174f2-2) unstable; urgency=low

  * Really include NEWS.Debian

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 21 Oct 2013 10:25:56 +0200

gnome-shell-extension-weather (0~20131020.git30174f2-1) unstable; urgency=low

  * New upstream release
    + Compatible with GNOME Shell 3.10. (Closes: #726914)
    + With the switch to libgweather, Moscow sunrise/sunset time should now be
      correct. (Closes: #708564)
  * debian/copyright: reflect upstream changes
  * Require GNOME Shell 3.8 or 3.10
  * Document the switch to libgweather in NEWS.Debian 

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 20 Oct 2013 16:36:42 +0200
