=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Package: gnome-shell-extension-weather
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 3.4),
-         gnome-shell (<< 3.9),
+         gnome-shell (>= 3.8),
+         gnome-shell (<< 3.11),
          gir1.2-clutter-1.0,
          gir1.2-gtk-3.0,
          gir1.2-gweather-3.0,
@@ -24,7 +24,5 @@
  gnome-shell-extension-weather is a simple extension for displaying weather
  conditions and forecasts in GNOME Shell, featuring support for multiple
  locations, an easy way of selecting locations, and a settings panel through
- gnome-shell-extension-prefs.
- .
- The weather report, including forecasts for today and tomorrow, is fetched
- from Yahoo! Weather.
+ gnome-shell-extension-prefs. The weather report include forecasts for
+ approximatively 10 days.
