## gnome-shell-extension-weather 0~20131021.git1bf555c

=== debian/changelog ===
gnome-shell-extension-weather (0~20131021.git1bf555c-1) unstable; urgency=low

  * Switch to a new upstream. The move to libgweather was making the
    extension useless to people not living in a major city. The upstream
    which we now track is a fork of the previous upstream, and it uses
    Yahoo! Weather as data source.
    As a consequence, upgrades from versions <= 0~20130619.gitf74de79-2 no
    longer erase city settings. (Closes: #726977)
  * New patches:
    + name-in-ext-prefs.patch
    + french.patch

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 24 Oct 2013 16:48:46 +0200
