=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  gnome-common, libglib2.0-dev
 Standards-Version: 3.9.4
-Homepage: https://github.com/Neroth/gnome-shell-extension-weather
+Homepage: https://github.com/jenslody/gnome-shell-extension-weather
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extension-weather
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extension-weather
 
@@ -24,5 +24,5 @@
  gnome-shell-extension-weather is a simple extension for displaying weather
  conditions and forecasts in GNOME Shell, featuring support for multiple
  locations, an easy way of selecting locations, and a settings panel through
- gnome-shell-extension-prefs. The weather report include forecasts for
- approximatively 10 days.
+ gnome-shell-extension-prefs. The weather data are fetched from Yahoo! Weather,
+ and include forecasts for up to five days.
