=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 override_dh_auto_test:
 
 get-orig-source:
-	git clone https://github.com/Neroth/gnome-shell-extension-weather.git gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)
+	git clone https://github.com/jenslody/gnome-shell-extension-weather.git gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)
 	cd gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM) && \
 		git checkout `echo $(DEB_VERSION_UPSTREAM) | sed 's/.*git//'` && \
     rm -rf debian
