## gnome-shell-extension-weather 0~20140724.gitcad3b38

=== debian/changelog ===
gnome-shell-extension-weather (0~20140724.gitcad3b38-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 04 Aug 2014 22:49:30 +0200

gnome-shell-extension-weather (0~20140608.gitb830562-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 05 Jul 2014 11:20:45 +0200

gnome-shell-extension-weather (0~20140506.gitbad1a58-1) unstable; urgency=low

  * New upstream release.
    + Now uses openweather as a data source.
    + As a consequence, upstream renamed the extension to g-s-e-openweather.
    + Compatible with GNOME Shell 3.12.
    + Italian translation updated. (Closes: #735113)
  * Document these changes in NEWS.Debian.
  * Remove patches:
    + name-in-ext-prefs.patch (useless)
    + french.patch (applied upstream)
  * Bump Standards-Version to 3.9.5. 

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 08 May 2014 17:31:08 +0200
