=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  gnome-common, libglib2.0-dev
-Standards-Version: 3.9.4
-Homepage: https://github.com/jenslody/gnome-shell-extension-weather
+Standards-Version: 3.9.5
+Homepage: https://github.com/jenslody/gnome-shell-extension-openweather
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extension-weather
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extension-weather
 
@@ -14,10 +14,10 @@
 Architecture: all
 Depends: ${misc:Depends},
          gnome-shell (>= 3.8),
-         gnome-shell (<< 3.11),
+         gnome-shell (<< 3.13),
          gir1.2-clutter-1.0,
+         gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         gir1.2-gweather-3.0,
          gir1.2-soup-2.4
 Recommends: gnome-tweak-tool
 Description: weather extension for GNOME Shell
