=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

# `make check' crashes and is useless, so disable it
override_dh_auto_test:

get-orig-source:
	git clone https://github.com/jenslody/gnome-shell-extension-openweather.git gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)
	cd gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM) && \
		git checkout `echo $(DEB_VERSION_UPSTREAM) | sed 's/.*git//'`
	tar --exclude-vcs -caf gnome-shell-extension-weather_$(DEB_VERSION_UPSTREAM).orig.tar.xz gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)
	rm -rf gnome-shell-extension-weather-$(DEB_VERSION_UPSTREAM)
