## gnome-shell-extension-weather 0~20140924.git7e28508

=== debian/changelog ===
gnome-shell-extension-weather (0~20140924.git7e28508-1) unstable; urgency=medium

  * New upstream snapshot.
    + Compatible with GNOME Shell 3.14.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 Sep 2014 20:18:40 +0200
