## gnome-shell-extension-weather 0~20150615.git0162cf7

=== debian/changelog ===
gnome-shell-extension-weather (0~20150615.git0162cf7-1) unstable; urgency=medium

  * New upstream snapshot.
    Compatible with GNOME Shell 3.16. (Closes: #788789)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 15 Jun 2015 22:49:47 +0200
