=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  gnome-common, libglib2.0-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/jenslody/gnome-shell-extension-openweather
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extension-weather
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extension-weather
@@ -13,8 +13,8 @@
 Package: gnome-shell-extension-weather
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 3.8),
-         gnome-shell (<< 3.13),
+         gnome-shell (>= 3.12),
+         gnome-shell (<< 3.17),
          gir1.2-clutter-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
