## gnome-shell-extension-weather 0~20151003.git339ec8a

=== debian/changelog ===
gnome-shell-extension-weather (0~20151003.git339ec8a-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/control: this release is compatible with GNOME 3.18.
  * d/copyright: reflect upstream changes.
  * d/NEWS: fix urgency of latest entry to make lintian happy.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 03 Oct 2015 11:58:49 +0200
