=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          gnome-shell (>= 3.12),
-         gnome-shell (<< 3.17),
+         gnome-shell (<< 3.19),
          gir1.2-clutter-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
