## gnome-shell-extension-weather 0~20151023.git34aa242

=== debian/changelog ===
gnome-shell-extension-weather (0~20151023.git34aa242-1) unstable; urgency=medium

  * New upstream snapshot.
    + Now warns about missing API key. (Closes: #801979)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 23 Oct 2015 23:12:37 +0200
