## gnome-shell-extension-weather 0~20151125.gitccaa1eb

=== debian/changelog ===
gnome-shell-extension-weather (0~20151125.gitccaa1eb-1~deb8u1) jessie; urgency=medium

  * New upstream snapshot.
    + Compatible with the new API of openweathermap.org. (Closes: #804505)
    + No need to manually enter an API key, since this release ships with a
      default one. This restores the behavior of the applet that was effective
      by the time of the jessie release.
  * Drop d/p/missing-api-key.patch. No longer needed, since this new release
    ships with a default API key.
  * d/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Jan 2016 10:34:14 +0100

gnome-shell-extension-weather (0~20140924.git7e28508-1+deb8u1) jessie; urgency=medium

  * d/p/missing-api-key.patch: new patch. Displays a warning if API key
    has not been supplied by the user, since querying openweathermap.org no
    longer works without such a key. (Closes: #801979)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 25 Oct 2015 19:24:44 +0100
