=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Package: gnome-shell-extension-weather
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 3.12),
-         gnome-shell (<< 3.19),
+         gnome-shell (>= 3.8),
+         gnome-shell (<< 3.15),
          gir1.2-clutter-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
