## gnome-shell-extension-weather 0~20160325.gitb5415ec

=== debian/changelog ===
gnome-shell-extension-weather (0~20160325.gitb5415ec-2ubuntu2) zesty; urgency=medium

  * Really drop upper limit for compatibile gnome-shell version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2017 12:48:14 -0500

gnome-shell-extension-weather (0~20160325.gitb5415ec-2ubuntu1) zesty; urgency=medium

  * debian/control: Drop upper limit for compatible gnome-shell version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2017 11:07:43 -0500

gnome-shell-extension-weather (0~20160325.gitb5415ec-2) unstable; urgency=medium

  * QA upload
  * Orphan package, see #828694
  * Add debian/patches/support-gnome-shell-322.patch:
    - Add 3.22 Beta and 3.22 final release version numbers to metadata.json
  * debian/control:
    - Bump gnome-shell dependency to (<< 3.23)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2016 11:11:28 -0400

gnome-shell-extension-weather (0~20160325.gitb5415ec-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/copyright: reflect upstream changes.
  * d/control:
    + This release is compatible with GNOME 3.20.
    + Bump Standards-Version to 3.9.7, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 27 Mar 2016 20:40:14 +0200

gnome-shell-extension-weather (0~20151125.gitccaa1eb-1) unstable; urgency=medium

  * New upstream snapshot.
    + No more UI freeze when network is brought up. (Closes: #807313)
  * d/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2015 21:55:24 +0100
