=== debian/control ===
Source: gnome-shell-extension-weather
Section: gnome
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               gnome-common,
               libglib2.0-dev,
Standards-Version: 3.9.7
Homepage: https://github.com/jenslody/gnome-shell-extension-openweather
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-shell-extension-weather
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-shell-extension-weather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         gir1.2-clutter-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-soup-2.4,
         gnome-shell (>= 3.12),
Recommends: gnome-tweak-tool
Description: weather extension for GNOME Shell
 gnome-shell-extension-weather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, an easy way of selecting locations, and a settings panel through
 gnome-shell-extension-prefs. The weather data are fetched from Yahoo! Weather,
 and include forecasts for up to five days.
