## gnome-shell-extension-weather 0~20170402.git34506a6

=== debian/changelog ===
gnome-shell-extension-weather (0~20170402.git34506a6-2) unstable; urgency=medium

  * QA upload
  * Update Vcs fields for migration to https://salsa.debian.org
  * Add basic gbp.conf
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Recommend gnome-tweaks instead of transitional gnome-tweak-tool
    (Closes: #917786)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 30 Dec 2018 08:17:37 -0500

gnome-shell-extension-weather (0~20170402.git34506a6-1) unstable; urgency=medium

  * QA upload
  * New upstream snapshot.
    - Fix installation detection by extensions.gnome.org (Closes: #859971)
    - Adjust the supported versions (>= 3.14, << 3.25)
    - Adjust the long description to match the new supported services
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/rules: Set the GIT_VERSION so the package version is displayed in
    the about dialog
  * debian/control: Drop the upper limit for the gnome-shell version. Nowadays
    gnome-shell API should be stable enough and it is not checking the
    supported version anyway.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 09 Apr 2017 23:59:23 +0200
