=== debian/control ===
Source: gnome-shell-extension-weather
Section: gnome
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               gnome-common,
               libglib2.0-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/jenslody/gnome-shell-extension-openweather
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-weather.git
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-weather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         gir1.2-clutter-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-soup-2.4,
         gnome-shell (>= 3.14),
Recommends: gnome-tweaks
Description: weather extension for GNOME Shell
 gnome-shell-extension-openweather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, no need for WOEID, a symmetrical layout and a settings panel through
 gnome-shell-extension-prefs.
 .
 The weather data is fetched from OpenWeatherMap (including forecasts for up to
 ten days) or Dark Sky (including forecasts for up to eight days).
