=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 include /usr/share/dpkg/default.mk
 
+export GIT_VERSION := $(DEB_VERSION)
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
