## gnome-shell-extension-weather 0.0~git20201103.d8be50f

=== debian/changelog ===
gnome-shell-extension-weather (0.0~git20201103.d8be50f-1) unstable; urgency=medium

  * New maintainer (Closes: #828694)
  * Add debian/watch
  * New upstream version 0.0~git20201103.d8be50f
    (Closes: #912875, #955401, #956164, #969273)
  * debian/control:
    - Apply "cme fix dpkg" fixes:
      + Organize debian/control fields
      + Bump Standards-Version to 4.5.0 (no change)
    - Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
    - Bump gnome-shell dependency to (>= 3.38)
  * debian/rules:
    - Remove deprecated get-orig-source target
    - Remove override_dh_auto_test target as "make check" no longer crashes
  * Add debian/patches/fix-icons.patch:
    - Fix missing icons due to change in Adwaita icon pack 3.38, see
      https://gitlab.com/jenslody/gnome-shell-extension-openweather/-/issues/278
      Special thanks to Victor Vásquez and David Rees for the fix.

 -- Anthony Fok <foka@debian.org>  Mon, 09 Nov 2020 05:38:25 -0700
