=== debian/control ===
Source: gnome-shell-extension-weather
Maintainer: Anthony Fok <foka@debian.org>
Section: gnome
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gnome-common,
               libglib2.0-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-weather
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-weather.git
Homepage: https://github.com/jenslody/gnome-shell-extension-openweather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         gir1.2-clutter-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-soup-2.4,
         gnome-shell (>= 3.38)
Recommends: gnome-tweaks
Description: weather extension for GNOME Shell
 gnome-shell-extension-openweather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, no need for WOEID, a symmetrical layout and a settings panel through
 gnome-shell-extension-prefs.
 .
 The weather data is fetched from OpenWeatherMap (including forecasts for up to
 ten days) or Dark Sky (including forecasts for up to eight days).
