=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export GIT_VERSION := $(DEB_VERSION)

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh
