=== debian/watch ===
version=4
    opts="mode=git, pgpmode=none" \
    https://gitlab.com/jenslody/gnome-shell-extension-openweather \
    HEAD debian
