## gnome-shell-extension-weather 0.0~git20210509.d714eb1

=== debian/changelog ===
gnome-shell-extension-weather (0.0~git20210509.d714eb1-2) unstable; urgency=medium

  * Set debian/watch to track upstream "master" branch again
    which is now even with the "gnome40" branch
  * Declare compatibility with GNOME Shell 41 (Closes: #996076)

 -- Anthony Fok <foka@debian.org>  Tue, 19 Oct 2021 13:05:09 -0600

gnome-shell-extension-weather (0.0~git20210509.d714eb1-1) unstable; urgency=medium

  * New upstream version 0.0~git20210509.d714eb1 (gnome40 branch)
  * Set debian/watch to track upstream "gnome40" branch
  * Bump gnome-shell dependency to (>= 40) (Closes: #993202)
  * Fix upstream URL in debian/control and debian/copyright as the project
    was moved from GitHub to GitLab back in June 2018 (Closes: #990907)
  * Add dependency on ca-certificates to prevent SSL handshake failure
    when loading openweathermap data.  Thanks to Alexei Ustyuzhaninov
    for the report and Adrian Bunk for the fix (Closes: #990418)
  * Bump Standards-Version to 4.6.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 17 Sep 2021 23:19:51 -0600
