=== debian/control ===
--- 
+++ 
@@ -5,19 +5,21 @@
 Build-Depends: debhelper-compat (= 13),
                gnome-common,
                libglib2.0-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-weather
 Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-weather.git
-Homepage: https://github.com/jenslody/gnome-shell-extension-openweather
+Homepage: https://gitlab.com/jenslody/gnome-shell-extension-openweather
 
 Package: gnome-shell-extension-weather
 Architecture: all
 Depends: ${misc:Depends},
+         ca-certificates,
          gir1.2-clutter-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
          gir1.2-soup-2.4,
-         gnome-shell (>= 3.38)
+         gnome-shell (>= 40~),
+         gnome-shell (<< 42~)
 Recommends: gnome-tweaks
 Description: weather extension for GNOME Shell
  gnome-shell-extension-openweather is a simple extension for displaying weather
