## gnome-shell-extension-weather 119

=== debian/changelog ===
gnome-shell-extension-weather (119-1) unstable; urgency=medium

  * Team upload  
  * Update to skrewball fork.
  * Remove all patches. The old patches are no longer relevant.
  * Change Upstream-Contact in Copyright file and add skrewball to contributors
    list in Copyright file.
  * Simplify debian/rules.
  * Update Homepage in debian/control.
  * Alter dependency on libsoup typelib file to gir1.2-soup-3.0 in
    debian/control (Closes: #1019586)
  * Clean up debian/watch

 -- Brandon Snider <brandonjsnider@gmail.com>  Mon, 26 Sep 2022 10:43:32 -0400

gnome-shell-extension-weather (0.0~git20210509.d714eb1-5) unstable; urgency=medium

  * Team upload
  * Update patch to mark compatible with GNOME Shell 43
  * debian/control: Bump maximum gnome-shell to 43 (Closes: #1018286)

 -- Jesús Soto <jesus.soto@canonical.com>  Thu, 08 Sep 2022 12:53:00 -0400

gnome-shell-extension-weather (0.0~git20210509.d714eb1-4) unstable; urgency=medium

  * Move Vcs repo from the debian group to the gnome-team/shell-extensions
    subgroup on Salsa. Thanks to Joerg Jaspert for his help!
    See https://salsa.debian.org/salsa/support/-/issues/294
  * Set Debian GNOME Maintainers as the Maintainer,
    and move myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Wed, 13 Apr 2022 08:59:40 -0600

gnome-shell-extension-weather (0.0~git20210509.d714eb1-3) unstable; urgency=medium

  * Declare compatibility with GNOME Shell 41 and 42.
    Thanks to Simon McVittie for the bug report, and Shawn Buckley
    for the merge request upstream. (Closes: #1008562)
  * Add "Rules-Requires-Root: no" to debian/control
  * Update debian/copyright with more people and updated years,
    and fix superfluous-file-pattern src/convenience.js Lintian warning

 -- Anthony Fok <foka@debian.org>  Sat, 02 Apr 2022 22:56:25 -0600
