=== debian/control ===
Source: gnome-shell-extension-weather
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               gnome-common,
               libglib2.0-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather.git
Homepage: https://gitlab.com/skrewball/openweather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         ca-certificates,
         gir1.2-clutter-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-soup-3.0,
         gnome-shell (>= 40~),
         gnome-shell (<< 44~)
Recommends: gnome-tweaks
Description: weather extension for GNOME Shell
 gnome-shell-extension-openweather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, no need for WOEID, a symmetrical layout and a settings panel through
 gnome-shell-extension-prefs.
 .
 The weather data is fetched from OpenWeatherMap (including forecasts for up to
 ten days) or Dark Sky (including forecasts for up to eight days).
