=== debian/watch ===
version=4
https://gitlab.com/skrewball/openweather/tags?sort=updated_desc archive/v?\d[\d.]+/openweather-v?([\d.]+)@ARCHIVE_EXT@
