## gnome-shell-extension-weather 121

=== debian/changelog ===
gnome-shell-extension-weather (121-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release (Closes: #1018285, #1038412, #1041583)
  * Bump compatible GNOME Shell versions per metadata.json

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 18:30:58 -0400
