=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                gnome-common,
                libglib2.0-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather.git
 Homepage: https://gitlab.com/skrewball/openweather
@@ -20,8 +20,8 @@
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
          gir1.2-soup-3.0,
-         gnome-shell (>= 40~),
-         gnome-shell (<< 44~)
+         gnome-shell (>= 43~),
+         gnome-shell (<< 45~)
 Recommends: gnome-tweaks
 Description: weather extension for GNOME Shell
  gnome-shell-extension-openweather is a simple extension for displaying weather
