=== debian/changelog ===
gnome-shell-extension-weather (139-3) unstable; urgency=medium

  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Apr 2025 11:52:02 -0400

gnome-shell-extension-weather (139-2) unstable; urgency=medium

  * Team upload
  * Add patch to mark compatible with GNOME Shell 48 (Closes: #1096056)
  * Bump maximum GNOME Shell to 48

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Feb 2025 16:13:47 -0500

gnome-shell-extension-weather (139-1) unstable; urgency=medium

  * Team upload

  [ Brandon Snider ]
  * New upstream release (Closes: #1052111)
  * Updated debian/watch to use penguin-teal fork (Closes: #1080362)
  * Updated supported gnome-shell versions. Removed Recommends gnome-tweaks,
    added Suggests gnome-shell-extension-prefs.
  * Removed obsolete depends on gtk3 and glib.
  * Updated debian/copyright with information from new fork.
  * Removed obsolete depends on clutter. (Closes: #1041630)
  * New upstream release

  [ Jeremy Bícha ]
  * Remove obsolete Build-Depends: gnome-common

 -- Brandon Snider <brandonjsnider@gmail.com>  Tue, 12 Nov 2024 07:56:46 -0400
