=== debian/control ===
Source: gnome-shell-extension-weather
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libglib2.0-dev,
                     python3
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-weather.git
Homepage: https://github.com/penguin-teal/gnome-openweather

Package: gnome-shell-extension-weather
Architecture: all
Depends: ${misc:Depends},
         ca-certificates,
         gir1.2-soup-3.0,
         gnome-shell (>= ${gnome:MinimumVersion}~),
         gnome-shell (<< ${gnome:MaximumVersion}~),
Suggests: gnome-shell-extension-prefs
Description: weather extension for GNOME Shell
 gnome-shell-extension-openweather is a simple extension for displaying weather
 conditions and forecasts in GNOME Shell, featuring support for multiple
 locations, no need for WOEID, a symmetrical layout and a settings panel through
 gnome-shell-extension-prefs.
 .
 The weather data is fetched from OpenWeatherMap including 3 hour forecasts 
 for up to 5 days.
