=== debian/watch ===
version=4
https://github.com/penguin-teal/gnome-openweather/tags .*/v?(\d.*)@ARCHIVE_EXT@
